Subject: bug#56414: [PATCH] Make gujarati-itrans method more phonetic

From: समीर सिंह Sameer Singh <[email-masked]>
Date: Wed, 6 Jul 2022 11:03:18 +0530

Not only Gujarati, I think languages like Marathi (uses Devanagari script),
Konkani (uses Devanagari and Kannada script), Kannada and Telugu also
pronounce ऋ as ru and ॠ as ruu.

Therefore instead of introducing a new table we should simply add more
options in the pre-existing indian-itrans-v5-table, like we have already
done for something like ज्ञ which is pronounced
as "gya" in Hindi and "dnya" in Marathi.

Something like:
1 file changed, 2 insertions(+), 2 deletions(-)
lisp/language/ind-util.el | 4 ++--

modified   lisp/language/ind-util.el
@@ -315,8 +315,8 @@ indian-itrans-v5-table
   '(;; for encode/decode
     (;; vowels -- 18
      "a" ("aa" "A") "i" ("ii" "I") "u" ("uu" "U")
-     ("RRi" "R^i") ("LLi" "L^i") (".c" "e.c") "E" "e" "ai"
-     "o.c"  "O"   "o"   "au"  ("RRI" "R^I") ("LLI" "L^I"))
+     ("RRi" "R^i" "RRu" "R^u") ("LLi" "L^i") (".c" "e.c") "E" "e" "ai"
+     "o.c"  "O"   "o"   "au"  ("RRI" "R^I" "RRU" "R^U") ("LLI" "L^I"))
     (;; consonants -- 40
      "k"   "kh"  "g"   "gh"  ("~N" "N^")
      "ch" ("Ch" "chh") "j" "jh" ("~n" "JN")

On Wed, Jul 6, 2022 at 10:16 AM Visuwesh <[email-masked]> wrote:

> Tags: patch
> X-Debugs-Cc: [email-masked]
>
> In a private exchange I had with Kashual Modi (CC'ed), I learnt that the
> translations for ઋ and ૠ should be RRu and RRU respectively since they
> are pronounced as ru and not ri (the current translations are RRi and
> RRI respectively).  This is also reflected in the table found in the
> Vowels section in the wikipedia link here
>
> https://en.wikipedia.org/wiki/Gujarati_script#Gujarati_letters,_diacritics,_and_digits
> .
>
> Attached patch adjusts the gujarati-itrans translation table to make it
> a bit more phonetic by following the above (and also fixes a typo I made
> in my last patch).
>
> Thanks.
>
>